Initiate a batch-process

This endpoint initiates a batch process asynchronously for a given workflow type.

The response will return an identifier that can be used to retrieve the file processing status by polling GET /v2/batch-processing/{identifier}.

The workflow types available are:

  1. Create and screen a batch of customers - This workflow will initiate all of the steps in the 'Create and screen customer asynchronously' for each of the customers in your file.

  2. Create and monitor a batch of transactions - This workflow will initiate all of the steps in the 'Create and process transactions asynchronously' for each of the transactions in your file. To learn more about the format of the batch file, see Batch transaction upload.

The response will include an identifier that can be used to check the status of the batch process,as well as any validation errors that have caused the file to not be processed.

To invoke 'create-and-screen' workflow, you need "Access to base customer screening functionality" enabled and the "Create and screen customers" permission. To invoke 'create-and-monitor' workflow, you need "Access to base transaction monitoring functionality" enabled.

Body Params
file
required
uuid

The identifier of the existing list in Mesh where you’re uploading. Required in some workflows when uploading files to a list that already exists.

string
enum
Defaults to create-and-screen

The workflow type for the batch process

Allowed:
Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json